Create or update a Facebook campaign

http
PUT https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
idstringNocamp_123Campaign identifier
locationIdstringYesloc_abc123Account identifier
namestringNoSummer CampaignCampaign name
objectivestringNoLEAD_GENERATIONCampaign objective Possible values: 'OUTCOME_LEADS', 'OUTCOME_TRAFFIC', 'OUTCOME_ENGAGEMENT', 'OUTCOME_SALES'
specialAdCategoriesstringNoSpecial ad categories Possible values: 'EMPLOYMENT', 'CREDIT', 'FINANCIAL_PRODUCTS_SERVICES', 'HOUSING', 'ISSUES_ELECTIONS_POLITICS', 'ONLINE_GAMBLING_AND_GAMING', 'NONE'
sourcestringNofacebookCampaign data source

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "camp_123",
  "locationId": "loc_abc123",
  "name": "Summer Campaign",
  "objective": "LEAD_GENERATION",
  "specialAdCategories": "EMPLOYMENT",
  "source": "facebook"
}'

Last updated October 26, 2026

Was this page helpful?